Subject: Re: [Isis-wg] WG adoption of draft-baker-ipv6-isis-dst-src-routing-06

From: Tony Przygienda <[email-masked]>
Date: Wed, 24 Jan 2018 08:10:13 -0800

Last I remember was that you had still some holes in the preference rules
you wrote (as in, this thing may loop in this cornercase) but they were
managable by now (i.e. the draft needs minor prunning on too much
flexibility you gave things and then will work) but I'd need to swap my
memory from disk (more like tape now) in ...

If that goes to adoption I'll do that ...

having said all that and having gone the curve full way with BABEL, for the
full disclosure I observe that src-dst routing is _massively_ simpler to
achieve with it from protocol perspective except that the lookup problem is
still the hard part AFAIR last discussions I had on it ...

--- tony

On Tue, Jul 18, 2017 at 2:35 AM, David Lamparter <[email-masked]> wrote:

> Hello IS-IS folks,
>
>
> so, I've unfortunately dropped the ball on this (had some health issues,
> but really I'm just bad at IETF interactions).  I'd like to apologize
> for that and am certainly working to improve.
>
> Having just sat through a v6ops presentation of Microsoft's setup for
> their enterprise cloud products relying on multihomed IPv6 setups with
> distinct source prefixes pushed to clients, I'm re-motivated that this
> is a draft worth pushing to RFC -- this is after similar signaling from
> Google.
> Hence, question #1:  I strongly believe we have the input there that
> this will see deployment in IS-IS in enterprise setups.  Certainly not
> all of them, but enough to be significant.  Les, does this address your
> concerns on actual deployment?  (Does anyone else have similar
> concerns?)
>
>
> After that, question #2 would be - what state is this draft actually in
> now?  Should I ask for WG adoption again?  As far as I can tell
> responses were along "support", "support + address feedback" and
> "scepticism on whether it'll actually be deployed".  I didn't see any
> flat-out disagreement.
>
> And, finally, #3, I (still, gah) have some pending edits addressing some
> feedback Tony raised;  correlated with previous question, I'm not sure
> whether I should just repost it as individual draft ASAP?  (and/or
> how/whether this interacts with the adoption call.
>
> [I guess the latter 2 are questions for the chairs, but I'll happy about
> all input ;)]
>
> Thanks for any help,
>
>
> -David
>
> _______________________________________________
> Isis-wg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/isis-wg
>